<template>
  <main>
    <!-- <slick :options="{autoplay: true, dots: true}">
      <div>
        <img src="images/content/image-1.jpg" alt="Image 1">
      </div>
      <div>
        <img src="images/content/image-2.jpg" alt="Image 1">
      </div>
      <div>
        <img src="images/content/image-3.jpg" alt="Image 1">
      </div>
    </slick> -->
    <div class="discover mx-auto max-w-screen-xl lg:max-w-screen-lg lg:px-10 mb-12 pt-10">
      <div class="title-with-filter mb-11 sm:flex sm:justify-between sm:align-center px-3">
        <h3 class="text-white font-bold text-2xl pt-3 mb-8 sm:mb-0 sm:pr-8">Discover Movie</h3>
        <div class="flex justify-center sm:justify-end">
          <button
            class="tab-button px-6 py-2 ml-4 rounded-full bg-black text-white text-sm font-semibold hover:border-gray-500 focus:outline-none focus:border-gray-500 active:bg-red-500"
            :class="tabClasses('tab1')"
            @click="activeTab = 'tab1'"
          >
            Popularity
          </button>
          <button
            class="tab-button px-6 py-2 ml-4 rounded-full bg-black text-white text-sm font-semibold hover:border-gray-500 focus:outline-none focus:border-gray-500 active:bg-red-500 hover:bg-opacity-20"
            :class="tabClasses('tab2')"
            @click="activeTab = 'tab2'"
          >
            Release Date
          </button>
        </div>
      </div>
      <div class="tab-content">
        <div v-show="activeTab === 'tab1'">
          <div class="flex flex-wrap ms:-mx-3">
            <div v-for="(movie, index) in movies" :key="index" class="w-full sm:w-1/3 lg:w-1/5 px-3 py-3 relative">
              <figure class="relative mb-3">
                <img :src="movie.image" :alt="movie.title" class="w-full">
                <div class="rate absolute top-0 right-0 z-20 bg-opacity-80 bg-gray-800 text-white font-semibold text-lg p-2 lg:text-sm">{{ movie.rating }}</div>
                <div class="hover:bg-gray-900 hover:opacity-100 transition duration-300 ease-in-out absolute inset-0 z-30 flex flex-col justify-center items-center p-4 opacity-0">
                  <div class="flex items-center flex-col justify-center align-center gap-14 lg:gap-7">
                    <div class="text-white font-semibold text-2xl leading-7 flex aligns-center lg:text-sm"><img class="mr-1 lg:w-4" src="/images/material/ico-star-2x.svg" alt="">{{ movie.rating }}</div>
                    <div class="text-white font-bold text-xl text-center lg:text-sm">{{ movie.genre }}</div>
                    <router-link :to="{ name: 'movies-detail', params: { id: movie.id } }" class="bg-gray-800 hover:bg-gray-700 text-white inline-block bg-red-500 rounded-full font-bold text-white uppercase text-sm px-8 py-2 lg:text-xs lg:px-7">
                      View
                    </router-link>
                  </div>
                </div>
              </figure>
              <figcaption>
                <p class="font-medium text-gray-300 text-base leading-5 mb-1 w-full truncate lg:text-sm">{{ movie.title }}</p>
                <span class="text-sm leading-4 text-gray-500 lg:px-xs">{{ movie.year }}</span>
              </figcaption>
            </div>
          </div>
        </div>
        <div v-show="activeTab === 'tab2'">
          <div class="flex flex-wrap sm:-mx-3">
            <div v-for="(movie, index) in movies" :key="index" class="w-full sm:w-1/3 lg:w-1/5 px-3 py-3 relative">
              <figure class="relative mb-3">
                <img :src="movie.image" :alt="movie.title" class="w-full">
                <div class="rate absolute top-0 right-0 z-20 bg-opacity-80 bg-gray-800 text-white font-semibold text-lg p-2">{{ movie.rating }}</div>
                <div class="hover:bg-gray-900 hover:opacity-100 transition duration-300 ease-in-out absolute inset-0 z-30 flex flex-col justify-center items-center p-4 opacity-0">
                  <div class="flex items-center flex-col justify-center align-center gap-14">
                    <div class="text-white font-semibold text-2xl leading-7 flex aligns-center"><img class="mr-1" src="/images/material/ico-star-2x.svg" alt="">{{ movie.rating }}</div>
                    <div class="text-white font-bold text-xl text-center">{{ movie.genre }}</div>
                    <router-link :to="{ name: 'movies-detail', params: { id: movie.id } }" class="bg-gray-800 hover:bg-gray-700 text-white inline-block bg-red-500 rounded-full font-bold text-white uppercase text-sm px-8 py-2">
                      View
                    </router-link>
                  </div>
                </div>
              </figure>
              <figcaption>
                <p class="font-medium text-gray-300 text-base leading-5 mb-1 w-full truncate">{{ movie.title }}</p>
                <span class="text-sm leading-4 text-gray-500">{{ movie.year }}</span>
              </figcaption>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
</template>
<style scope lang="css">
  .discover h3 {
    position: relative;
  }
  .discover h3::before {
    background-color: #e74c3c;
    content: "";
    height: 6px;
    left: 0;
    position: absolute;
    top: 0;
    width: 112px;
  }
</style>
<script>
  // import Slick from "vue-slick";
  // import 'slick-carousel/slick/slick.css';

  export default {
    data() {
      return {
        activeTab: 'tab1',
        movies: [
          { 
            id: 1,
            title: "Wonder Woman 1984",
            image: "/images/content/image-4.jpg",
            genre: "Fantasy, Action, Adventure",
            rating: "7.0",
            year: 2020 
          },
          { 
            id: 2,
            title: "Below Zero",
            image: "/images/content/image-5.jpg",
            rating: "6.4",
            genre: "Fantasy, Action, Adventure",
            year: 2021 
          },
          { 
            id: 3,
            title: "The Little Things",
            image: "/images/content/image-6.jpg",
            rating: "6.3",
            genre: "Fantasy, Action, Adventure",
            year: 2021 
          },
          { 
            id: 4,
            title: "Outside the Wire",
            image: "/images/content/image-7.jpg",
            rating: "6.5",
            genre: "Fantasy, Action, Adventure",
            year: 2021 
          },
          { 
            id: 5,
            title: "Black Water: Abyss",
            image: "/images/content/image-8.jpg",
            rating: "5.1",
            genre: "Fantasy, Action, Adventure",
            year: 2020 
          },
          { 
            id: 6,
            title: "Breach",
            image: "/images/content/image-9.jpg",
            rating: "4.6",
            genre: "Fantasy, Action, Adventure",
            year: 2021 
          },
          { 
            id: 7,
            title: "Soul",
            image: "/images/content/image-10.jpg",
            rating: "8.3",
            genre: "Fantasy, Action, Adventure",
            year: 2020 
          },
          { 
            id: 8,
            title: "Fast & Furious Present 8",
            image: "/images/content/image-11.jpg",
            rating: "6.9",
            genre: "Fantasy, Action, Adventure",
            year: 2017 
          },
          { 
            id: 9,
            title: "The Croods: A New Age",
            image: "/images/content/image-12.jpg",
            rating: "7.6",
            genre: "Fantasy, Action, Adventure",
            year: 2020
          },
          { 
            id: 10,
            title: "Vanguard",
            image: "/images/content/image-13.jpg",
            rating: "6.3",
            genre: "Fantasy, Action, Adventure",
            year: 2020
          }
        ]
      }
    },
    computed: {
      sortedMovies() {
        return this.movies.sort((a, b) => b.year - a.year);
      }
    },
    methods: {
      tabClasses(index) {
        return [
          this.activeTab === index ? "bg-red-500 bg-opacity-100" : "",
        ];
      },
    },
  };
</script>